BIEN 3 - Task #901

schedule regular pg_dump backups of the DB
04/17/2014 01:23 PM - Aaron Marcuse-Kubitza

Status: New Start date: 04/17/2014
Priority: Normal Due date:

Assignee: Aaron Marcuse-Kubitza % Done: 70%
Category: Estimated time: 0.00 hour
Target version:

Activity type:

Description

e this is not backed up with the rest of the VM due to bandwidth limitations and available tape drive space
¢ use --jobs (which requires --format=directory) to speed up the backup by using multiple cores
¢ also dump other vegbiendev DBs (eg. geoscrub)

e run pg_dumpall --globals-only as well to back up user accounts

¢ note that recovery with this method requires initdb before restoring

History

#1 - 04/17/2014 02:36 PM - Aaron Marcuse-Kubitza

- Description updated

#2 - 04/17/2014 03:19 PM - Aaron Marcuse-Kubitza

- Description updated

#3 - 04/17/2014 03:20 PM - Aaron Marcuse-Kubitza

- Description updated

#4 - 04/17/2014 04:47 PM - Aaron Marcuse-Kubitza

- Description updated

#5 - 04/17/2014 08:12 PM - Aaron Marcuse-Kubitza
- % Done changed from 0 to 20

seem to have settled on shutting down VM before tape backup as the approach for this

#6 - 04/23/2014 03:16 PM - Aaron Marcuse-Kubitza
- % Done changed from 20 to 70

see backups/pg_snapshot, backups/mysql_snapshot
